package it.sw.pa.comune.artegna.domain;

import static it.sw.pa.comune.artegna.domain.ModelloLiberatoriaTestSamples.*;
import static it.sw.pa.comune.artegna.domain.StrutturaTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class ModelloLiberatoriaTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(ModelloLiberatoria.class);
        ModelloLiberatoria modelloLiberatoria1 = getModelloLiberatoriaSample1();
        ModelloLiberatoria modelloLiberatoria2 = new ModelloLiberatoria();
        assertThat(modelloLiberatoria1).isNotEqualTo(modelloLiberatoria2);

        modelloLiberatoria2.setId(modelloLiberatoria1.getId());
        assertThat(modelloLiberatoria1).isEqualTo(modelloLiberatoria2);

        modelloLiberatoria2 = getModelloLiberatoriaSample2();
        assertThat(modelloLiberatoria1).isNotEqualTo(modelloLiberatoria2);
    }

    @Test
    void strutturaTest() {
        ModelloLiberatoria modelloLiberatoria = getModelloLiberatoriaRandomSampleGenerator();
        Struttura strutturaBack = getStrutturaRandomSampleGenerator();

        modelloLiberatoria.setStruttura(strutturaBack);
        assertThat(modelloLiberatoria.getStruttura()).isEqualTo(strutturaBack);

        modelloLiberatoria.struttura(null);
        assertThat(modelloLiberatoria.getStruttura()).isNull();
    }
}
